GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
tsi_frame_protector_vtable Struct Reference

`#include <transport_security.h>`

## Data Fields
tsi_result(* | protect )(tsi_frame_protector *self, const unsigned char *unprotected_bytes, size_t *unprotected_bytes_size, unsigned char *protected_output_frames, size_t *protected_output_frames_size)
tsi_result(* | protect_flush )(tsi_frame_protector *self, unsigned char *protected_output_frames, size_t *protected_output_frames_size, size_t *still_pending_size)
tsi_result(* | unprotect )(tsi_frame_protector *self, const unsigned char *protected_frames_bytes, size_t *protected_frames_bytes_size, unsigned char *unprotected_bytes, size_t *unprotected_bytes_size)
void(* | destroy )(tsi_frame_protector *self)

## Field Documentation

void(* tsi_frame_protector_vtable::destroy)(tsi_frame_protector *self)

tsi_result(* tsi_frame_protector_vtable::protect)(tsi_frame_protector *self, const unsigned char *unprotected_bytes, size_t *unprotected_bytes_size, unsigned char *protected_output_frames, size_t *protected_output_frames_size)

tsi_result(* tsi_frame_protector_vtable::protect_flush)(tsi_frame_protector *self, unsigned char *protected_output_frames, size_t *protected_output_frames_size, size_t *still_pending_size)

tsi_result(* tsi_frame_protector_vtable::unprotect)(tsi_frame_protector *self, const unsigned char *protected_frames_bytes, size_t *protected_frames_bytes_size, unsigned char *unprotected_bytes, size_t *unprotected_bytes_size)

The documentation for this struct was generated from the following file:

- src/core/tsi/transport_security.h